Bug 173324 - Memory leak in omapi
Memory leak in omapi
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcp (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jiri Popelka
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2005-11-16 06:15 EST by Stefan Lindroos
Modified: 2010-04-06 08:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-06 08:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Lindroos 2005-11-16 06:15:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Every time omapi connects to dhcpd memory is leaked. This leads to a huge problem when a script accesses omapi very often.

Version-Release number of selected component (if applicable):
dhcp-3.0.1-10_EL3

How reproducible:
Always

Steps to Reproduce:
# omshell
> server 127.0.0.1
> port 7911
> connect
obj: <null>

(port is configured of course configured port)

Actual Results:  dhcpd does not free all memory

Additional info:

Output from valgrind:

==8100== 44 bytes in 1 blocks are definitely lost in loss record 2 of 4
==8100==    at 0x1B8FEA39: malloc (vg_replace_malloc.c:149)
==8100==    by 0x37315194: dmalloc (alloc.c:62)
==8100==    by 0x37315313: omapi_object_allocate (alloc.c:527)
==8100==    by 0x37319050: omapi_io_allocate (dispatch.c:41)
==8100==    by 0x37319213: omapi_register_io_object (dispatch.c:71)
==8100==    by 0x373187CC: omapi_accept (listener.c:245)
==8100==    by 0x37319D21: omapi_one_dispatch (dispatch.c:409)
==8100==    by 0x372EE8C7: dispatch (dispatch.c:94)
==8100==    by 0x372BA114: main (dhcpd.c:603)
Comment 1 Jason Vas Dias 2005-11-18 17:19:57 EST
An omapi memory leak was found and fixed with upstream release 3.0.2rc2 :

 - An uninitialized variable in omapi_io_destroy() led to the discovery
   that this function may result in orphaned pointers (and hence, a memory
   leak).

The upstream patch for this issue has been applied in dhcp-3.0.1-43_EL3 (RHEL-3)
and dhcp-3.0.1-44_EL4 (RHEL-4) .
Comment 5 Jiri Popelka 2010-04-06 08:44:11 EDT
Closing as WONTFIX. dhcp-3.0.1-10_EL3 is the latest version shipped for RHEL-3.

Note You need to log in before you can comment on or make changes to this bug.